Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.smil
Enum OdfRestartDefaultType

    java.lang.Object
      java.lang.Enum<OdfRestartDefaultType>
          org.odftoolkit.odfdom.dom.type.smil.OdfRestartDefaultType

All Implemented Interfaces:
  Serializable, Comparable<OdfRestartDefaultType>

    public enum OdfRestartDefaultType

extends Enum<OdfRestartDefaultType>

DOM implementation of OpenDocument attribute smil:restartDefault.

Enum Constant Summary
`ALWAYS`
`INHERIT`
`NEVER`
`WHENNOTACTIVE`

Method Summary
`static OdfRestartDefaultType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfRestartDefaultType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfRestartDefaultType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfRestartDefaultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final OdfRestartDefaultType ALWAYS

### INHERIT

    public static final OdfRestartDefaultType INHERIT

### WHENNOTACTIVE

    public static final OdfRestartDefaultType WHENNOTACTIVE

### NEVER

    public static final OdfRestartDefaultType NEVER

Method Detail

### values

    public static OdfRestartDefaultType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfRestartDefaultType c : OdfRestartDefaultType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfRestartDefaultType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfRestartDefaultType>`
  Returns:
    return the name of OdfRestartDefaultType

### toString

    public static String toString(OdfRestartDefaultType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfRestartDefaultType, see smil:restartDefault
  Returns:
    return the name of OdfRestartDefaultType

### enumValueOf

    public static OdfRestartDefaultType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfRestartDefaultType
  Returns:
    return the constant of OdfRestartDefaultType, see smil:restartDefault

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.